<?php
include("../config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_exploitation.php3");

?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Modifie la date de référence pour les Anciens scores</div>
<br>
<?php
$DATE_ARCHIVAGE = getExploitationFile("date_archivage.php3");

$rows = main_db_query("SELECT Date FROM PlayerScores GROUP BY Date ORDER BY Date DESC");
echo "<table border=1><tr class=trTitle><td>Dates d'archives disponibles</td></tr>";
while($row = db_fetch_assoc($rows))
{
	echo "<tr ";
	if ($row['Date'] == $DATE_ARCHIVAGE)
		echo "bgcolor=yellow><td>".$row['Date']." <== date actuellement utilisée pour les anciens scores";
	else
		echo "><td>".$row['Date'];
}
echo "</table>";

switch($submit)
{
	case "MAJ":
		setExploitationFile("date_archivage.php3", $newDate);
		echo "<font color=red>La date des anciens scores a été modifiée !</font>";
		break;
		
	case "Purger archives":
		main_db_query("DELETE FROM PlayerScores WHERE Date < '".$datePurgeArchives."'");
		echo "<font color=red>Les archives antérieures au $datePurgeArchives ont été purgées !</font>";
		break;
		
	case "Purger paris":
		main_db_query("DELETE FROM Paris WHERE Date < '".$datePurgeParis."'");
		echo "<font color=red>Les paris antérieurs au $datePurgeParis ont été purgés !</font>";
		break;
		
	default:
		# il prend la dernière date d'archivage des scores
		$tourDate = db_fetch_array(main_db_query("SELECT MAX(Date) AS maxDate FROM PlayerScores"));
	
		# on affecte la date par défaut
		$newDate = $tourDate['maxDate'];
		$datePurgeParis = date("Y-m-d H:i:s", strtotime($DATE_ARCHIVAGE) - 864000);
		$datePurgeArchives = $DATE_ARCHIVAGE;
		break;
}

?>
<form>
<li>Mettre à jour la date des anciens scores : 
<input type=text name=newDate value="<?php echo $newDate ?>">
<input type=submit name=submit value="MAJ"><br><br>
<li>Purger toutes archives antérieures à la date : 
<input type=text name=datePurgeArchives value="<?php echo $datePurgeArchives ?>">
<input type=submit name=submit value="Purger archives"><br><br>
<li>Purger les paris antérieurs à la date (par défaut 10j avant la date d'archivage pour pouvoir gérer les mails de résultats) : 
<input type=text name=datePurgeParis value="<?php echo $datePurgeParis ?>">
<input type=submit name=submit value="Purger paris">
<br><br>
<a class=under href="<?php echo $PHP_SELF ?>">Rafraichir la page</a>
<hr>